<?php

/**
 * themes support stuff
 */
add_theme_support( 'menus' );
add_theme_support( 'post-thumbnails' );


/**
 * register theme widgets
 */
add_action( 'widgets_init', 'amazeballs_widgets_init' );
function amazeballs_widgets_init()
{
	// main sidebar
	register_sidebar( array(
		'name'          => 'Main sidebar',
		'id'            => 'main-sidebar-area',
		'description'   => 'sidebar, maaaan',
		'before_widget' => '<div id="%1$s" class="widget-container %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h3>',
		'after_title'   => '</h3>',
	) );

	// footer sidebar
	register_sidebar( array(
		'name'          => 'Footer sidebar',
		'id'            => 'footer-area',
		'description'   => 'the footz',
		'before_widget' => '<div id="%1$s" class="widget-container %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '',
		'after_title'   => '',
	) );
}



/**
 * pre_r
 */
function pre_r($expression, $return = false)
{
	if ($return)
	{
	  if (is_string($expression)) return '<pre>' . print_r(str_replace(array('<','>'), array('&lt;','&gt;'), $expression), true) . '</pre>';
		return '<pre>' . print_r($expression, true) . '</pre>';
	}
	else
	{
		echo '<pre>';
		if (is_string($expression)) print_r(str_replace(array('<','>'), array('&lt;','&gt;'), $expression), false);
		else print_r($expression, false);
		echo '</pre>';
	}
}