<!DOCTYPE html>
<html <?php language_attributes() ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ) ?>">
	<title><?php bloginfo( 'name' ); echo ' - '; bloginfo('description') ?></title>
	<link rel="stylesheet" href="<?php bloginfo('stylesheet_url') ?>">
	<link rel="stylesheet" href="http://fonts.googleapis.com/css?family=Comfortaa:300">

	<?php wp_head(); ?>
</head>
<body <?php body_class() ?>>

	<header role="banner">
		<div class="container">
			<hgroup>
				<h1><a href="<?php echo home_url(); ?>"><?php bloginfo( 'name' ) ?></a></h1>
				<h2><?php bloginfo('description') ?></h2>
			</hgroup>
		</div>
	</header>

	<div role="main">
		<div class="container">

			<aside>
				<?php
					dynamic_sidebar( 'main-sidebar-area' );
				?>
			</aside>

			<section class="articles">

